Convert a cross-cluster replication follower index to a regular index. The API stops the following task associated with a follower index and removes index metadata and settings associated with cross-cluster replication. The follower index must be paused and closed before you call the unfollow API.
Currently cross-cluster replication does not support converting an existing regular index to a follower index. Converting a follower index to a regular index is an irreversible operation.
Required authorization
- Index privileges:
manage_follow_index
Query parameters
-
The period to wait for a connection to the master node. If the master node is not available before the timeout expires, the request fails and returns an error. It can also be set to
-1to indicate that the request should never timeout.Values are
-1or0.External documentation
POST
/{index}/_ccr/unfollow
curl \
--request POST 'http://api.example.com/{index}/_ccr/unfollow'
Response examples (200)
A successful response from `POST /follower_index/_ccr/unfollow`.
{
"acknowledged" : true
}